import React from "react";
import { type ButtonProps } from "../Button/Button";
import { type CheckboxProps } from "../Form/Checkbox/Checkbox";
import { type SearchInputProps } from "../Form/SearchInput/SearchInput";
type ActionProp = {
    label: string;
} & Omit<ButtonProps, "children" | "size">;
export type BulkActionsToolbarProps = {
    actions?: ActionProp[];
    searchInputProps: SearchInputProps;
    checkboxProps?: CheckboxProps;
    totalItems: string;
    renderRightContent?: () => React.ReactNode;
    rightContentNoWrapOnMobile?: boolean;
    hideDivider?: boolean;
    "data-e2e-test-id"?: string;
};
declare function BulkActionsToolbarUI({ actions, checkboxProps, totalItems, searchInputProps, renderRightContent, rightContentNoWrapOnMobile, hideDivider, "data-e2e-test-id": dataE2eTestId, }: BulkActionsToolbarProps): React.ReactElement;
export declare const BulkActionsToolbar: React.MemoExoticComponent<typeof BulkActionsToolbarUI>;
export {};
