import React from "react";
import type { Property } from "csstype";
import { Box } from "../Box/Box";
export type CollapsibleProps = {
    /** the first element of the array of children has to be  `<CollapsibleHeader/>`. The rest of the children is the content visible after spreading the component */
    children: [
        React.ReactElement<CollapsibleHeaderProps>,
        ...React.ReactElement[]
    ];
    isExpanded: boolean | undefined;
    overflow?: Property.Overflow;
};
export type CollapsibleHeaderProps = {
    onClick?: (e: React.FormEvent<HTMLButtonElement>) => void;
    expandedIconAriaLabel?: string;
    collapsedIconAriaLabel?: string;
} & React.ComponentProps<typeof Box>;
export declare function CollapsibleHeader({ space, vSpace, rSpace, lSpace, tSpace, bSpace, onClick, children, expandedIconAriaLabel, collapsedIconAriaLabel, }: CollapsibleHeaderProps): React.ReactElement;
export declare function Collapsible({ isExpanded, overflow, children, }: CollapsibleProps): React.ReactElement;
