/**
 * Convenience hook to render a selectable Data table when it renders all records. Note that hook will not work correctly for a table with pagination because the table renders data only for a given page.
 */
import type { Dispatch } from "react";
import type { DataTableProps } from "./DataTable";
type UseDataTableSelectRowsArgs = {
    rows: DataTableProps["rows"];
    getRowProps?: DataTableProps["getRowProps"];
    initialSelectedRowIds?: DataTableProps["selectedRowIds"];
    initialAllRowsSelected?: DataTableProps["allRowsSelected"];
};
type UseDataTableSelectRowsReturn = {
    handleAllRowsSelectionChange: DataTableProps["onAllRowsSelectionChange"];
    handleRowSelectionChange: DataTableProps["onRowSelectionChange"];
    setAllRowsSelected: Dispatch<React.SetStateAction<DataTableProps["allRowsSelected"]>>;
    setSelectedRowIds: Dispatch<React.SetStateAction<DataTableProps["selectedRowIds"]>>;
} & Pick<DataTableProps, "selectedRowIds" | "allRowsSelected">;
export declare function useDataTableSelectRows({ rows, getRowProps, initialAllRowsSelected, initialSelectedRowIds, }: UseDataTableSelectRowsArgs): UseDataTableSelectRowsReturn;
export {};
