import type { NodeID, TreeNode, NodeChildrenMap, NodeCheckboxState, NodeExpandedState } from "./types";
export declare function getNodeChildrenMap(tree: Partial<TreeNode>): NodeChildrenMap;
export declare function findPathToNode(nodeChildrenMap: NodeChildrenMap, targetNodeID: NodeID): NodeID[];
export declare function trimDataByMaxSize(data: TreeNode[], expandedIds: NodeExpandedState, expandAll: boolean, maxNodesSize: number): {
    result: TreeNode[];
    hasMoreNodes: boolean;
};
export declare function getTreeCheckboxState(nodeChildrenMap: NodeChildrenMap, rootID: NodeID, selectedLeafNodeIds: NodeID[]): NodeCheckboxState;
export declare function getVisibleActiveNodeId(nodeChildrenMap: NodeChildrenMap, nodeExpandState: NodeExpandedState, activeId: NodeID): NodeID;
export declare function getLeafNodeIds(nodeChildrenMap: NodeChildrenMap, rootID: NodeID): NodeID[];
export declare function filterTree(tree: TreeNode, filterFn: (node: TreeNode) => boolean): TreeNode | null;
export declare function mapTree(tree: TreeNode, mapFn: (node: TreeNode) => TreeNode): TreeNode;
