import React from "react";
import type { FormFieldProps } from "../FormField/FormField";
import type { CommonSelectProps, SelectOption } from "./Combobox";
export type ActionData = {
    action: "select-option" | "deselect-option" | "clear";
    name: string;
    data: SelectOption[];
};
export type UniqueMultiSelectProps = {
    value: string[];
    onChange?: (value: string[], actionData: ActionData, event: React.ChangeEvent<HTMLSelectElement>) => void;
    formatSelectedOptionsLabel?: (count?: number) => string;
};
type MultiSelectProps = CommonSelectProps & Pick<FormFieldProps, "label"> & UniqueMultiSelectProps;
export declare function MultiSelect({ options, name, value, placeholder, emptyStateMessage, hasError, filterMethod, onChange, onBlur, onFocus, maxHeight, formatSelectedOptionsLabel, autoComplete, disabled, label, portalContainer, optionsListWidth, "aria-describedby": ariaDescribedBy, }: MultiSelectProps): React.ReactElement;
export {};
