import type { SelectOption } from "./Combobox";
type ChangeAction = "select-option" | "deselect-option" | "clear";
type State = {
    selectedOptions?: SelectOption[];
    changedOptions?: SelectOption[];
    isOpen: boolean;
    preselectedIndex: number;
    actionName?: ChangeAction;
    innerValue?: string;
};
type Action = {
    type: "onChange";
    option: SelectOption;
} | {
    type: "clear";
} | {
    type: "open";
} | {
    type: "close";
} | {
    type: "setPreselectedIndex";
    index: number;
} | {
    type: "setInnerValue";
    value: string;
} | {
    type: "updateSelectedOptions";
    selectedOptions: SelectOption[];
};
export declare const MultiSelectReducer: (prevState: State, action: Action) => State;
export {};
