import React from "react";
import type { FormFieldProps } from "../FormField/FormField";
import type { IconName } from "../../Icon/Icon";
export type RadioButtonProps = {
    name: string;
    value?: string;
    checked?: boolean | undefined;
    icon?: IconName;
    label?: string;
    disabled?: boolean;
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onClick?: (e: React.FormEvent<HTMLInputElement>) => void;
    onBlur?: (e: React.FormEvent<HTMLInputElement>) => void;
    onFocus?: (e: React.FormEvent<HTMLInputElement>) => void;
} & Omit<FormFieldProps, "labelHint">;
/** @deprecated Use Radio or SegmentedControl component instead */
export declare function RadioButton({ name, value, checked, label, icon, disabled, onChange, onClick, onBlur, onFocus, ...rest }: RadioButtonProps): React.ReactElement;
