import type { RefObject, ReactElement, ChangeEventHandler } from "react";
import type { CommonSelectProps } from "../Combobox/Combobox";
export type TriggerProps = {
    triggerRef: RefObject<HTMLButtonElement>;
    isOpen: boolean;
    disabled: boolean;
    role: string;
    "aria-expanded"?: boolean;
    "aria-controls"?: string;
    "aria-activedescendant"?: string;
};
export type SelectWithCustomTriggerProps = {
    renderTrigger: (props: TriggerProps) => ReactElement;
    value: string;
    onChange: ChangeEventHandler<HTMLSelectElement>;
} & Pick<CommonSelectProps, "optionsListWidth" | "options" | "maxHeight" | "disabled" | "name" | "portalContainer" | "autoComplete" | "readOnly">;
export declare function SelectWithCustomTrigger({ renderTrigger, optionsListWidth, options, name, value, portalContainer, disabled, maxHeight, autoComplete, readOnly, onChange, }: SelectWithCustomTriggerProps): ReactElement;
