import type { ReactNode, HTMLAttributes } from "react";
import React from "react";
import type { Property } from "csstype";
import type { MQ } from "../../types";
type ColumnSpans = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12;
export type GridItemProps = {
    /** Size of grid area in columns */
    columnSpan?: ColumnSpans | MQ<ColumnSpans>;
    /** Starting column for item positioning, see https://developer.mozilla.org/en-US/docs/Web/CSS/grid-column-start */
    columnStart?: Property.GridColumnStart | MQ<Property.GridColumnStart>;
    /** Ending column for item positioning, see https://developer.mozilla.org/en-US/docs/Web/CSS/grid-column-end */
    columnEnd?: Property.GridColumnEnd | MQ<Property.GridColumnEnd>;
    /** Row position, see https://developer.mozilla.org/en-US/docs/Web/CSS/grid-row */
    row?: Property.GridRow | MQ<Property.GridRow>;
    /** Starting row for item positioning, see https://developer.mozilla.org/en-US/docs/Web/CSS/grid-row-start */
    rowStart?: Property.GridRowStart | MQ<Property.GridRowStart>;
    /** Ending row for item positioning, see https://developer.mozilla.org/en-US/docs/Web/CSS/grid-row-end  */
    rowEnd?: Property.GridRowEnd | MQ<Property.GridRowEnd>;
    /** Define grid area, see https://developer.mozilla.org/en-US/docs/Web/CSS/grid-area */
    area?: Property.GridArea | MQ<Property.GridArea>;
    /** Align item in its grid area along block (column) axis, see https://developer.mozilla.org/en-US/docs/Web/CSS/align-self */
    alignSelf?: Property.AlignSelf | MQ<Property.AlignSelf>;
    /** Justify item in its grid area along inline (row) axis, see https://developer.mozilla.org/en-US/docs/Web/CSS/justify-self */
    justifySelf?: Property.JustifySelf | MQ<Property.JustifySelf>;
    order?: Property.Order | MQ<Property.Order>;
    /** display item at given breakpoint */
    show?: boolean | MQ<boolean>;
    children: ReactNode;
    "data-e2e-test-id"?: string;
} & HTMLAttributes<HTMLDivElement>;
export declare function GridItem({ "data-e2e-test-id": dataE2eTestId, children, ...rest }: GridItemProps): React.ReactElement;
export {};
