import type { HTMLAttributes } from "react";
import React from "react";
import type { IconsVariations, IconsColors } from "../../types";
import icons from "../../web-tokens/assets/icons.json";
import icons16 from "../../web-tokens/assets/icons16.json";
export type IconName = keyof typeof icons;
export type IconName16 = keyof typeof icons16;
export type IconProps = {
    /** Icon name */
    name: IconName;
    /** set to true to make the icon hoverable, pass a parent's ref to make the icon match the parent hover */
    hoverable?: boolean | React.MutableRefObject<any>;
    /** set to true to have an inline icon wrapped in a span instead of div */
    inline?: boolean;
    /** @deprecated variant, please use "color" prop instead */
    variant?: IconsVariations;
    /** Icon color can inherit parent style. */
    color?: IconsColors;
    size?: "s" | "m" | "l";
    "data-e2e-test-id"?: string;
    "data-testid"?: string;
} & Omit<HTMLAttributes<HTMLDivElement>, "color">;
export declare const Icon: ({ name, hoverable, inline, size, color, variant, "data-e2e-test-id": dataE2eTestId, "data-testid": dataTestId, ...rest }: IconProps) => React.ReactElement;
