import React from "react";
import type { ReactElement } from "react";
import type { IconName } from "../Icon/Icon";
import type { SubThemeProviderProps } from "../SubThemeProvider/SubThemeProvider";
export type NotificationProps = {
    "data-e2e-test-id"?: string;
    type?: Extract<SubThemeProviderProps["name"], "info" | "success" | "error">;
    text?: string | ReactElement;
    icon?: IconName | null;
    isDismissable?: boolean;
    callToActionLabel?: string;
    expandButtonLabel?: string;
    shrinkButtonLabel?: string;
    expandable?: boolean;
    /** This prop introduces additional space to the left to account for the side navigation collapse button in ui-amboss */
    adjustForSideNavToggle?: boolean;
    closeButtonAriaLabel?: string;
    onClickCallToAction?: (e: React.MouseEvent) => void;
    onClickDismiss?: () => void;
    children?: React.ReactNode;
};
export declare function Notification({ type, text, icon, isDismissable, callToActionLabel, onClickDismiss, onClickCallToAction, expandable, expandButtonLabel, shrinkButtonLabel, children, adjustForSideNavToggle, closeButtonAriaLabel, "data-e2e-test-id": dataE2eTestId, }: NotificationProps): React.ReactElement;
