import React from "react";
export type PaginationProps = {
    /** Total number of items */
    numOfItems: number;
    /** Current page */
    currentPage: number;
    /** Number of items per page */
    numOfItemsPerPage?: number;
    onPrevClick: (page: number, firstItemIndex?: number, lastItemIndex?: number) => void;
    onNextClick: (page: number, firstItemIndex?: number, lastItemIndex?: number) => void;
    /** Callback to provide a custom label */
    formatLabel?: (firstItemIndex?: number, lastItemIndex?: number, numOfItems?: number) => string;
    /** Align label with respect to arrow buttons */
    alignLabel?: "center" | "left";
    nextButtonAriaLabel?: string;
    prevButtonAriaLabel?: string;
    "data-e2e-test-id"?: string;
};
export declare function Pagination({ numOfItems, numOfItemsPerPage, currentPage, formatLabel, alignLabel, "data-e2e-test-id": dataE2eTestId, onPrevClick, onNextClick, nextButtonAriaLabel, prevButtonAriaLabel, }: PaginationProps): React.ReactElement;
