import type React from "react";
export declare const AMBOSS_DS_PORTAL = "amboss-ds-portal";
/**
 * Returns a zIndex incremented by Modal's zIndex if the portal child is rendered within a Modal
 * @param zIndex
 * @returns
 */
export declare function usePortalChildZIndex(zIndex: number): number;
/**
 * Returns the portal container element used.
 * @param portalContainer
 * @returns
 */
export declare function usePortalContainerElement(portalContainer?: HTMLElement | null): Element;
export type PortalProps = {
    children: React.ReactNode;
    /** Custom portal container to render popup into */
    portalContainer?: HTMLElement | null;
};
export declare function Portal({ children, portalContainer, }: PortalProps): React.ReactElement;
