import React from "react";
import type { ReactElement, FocusEvent as ReactFocusEvent, MouseEvent as ReactMouseEvent } from "react";
import type { TooltipContentProps } from "./TooltipContent";
type BaseProps = Pick<TooltipContentProps, "placement" | "portalContainer" | "contentPadding" | "maxWidth" | "subTheme" | "onOverflowViewport"> & {
    /**  Tooltip content */
    content: React.ReactElement;
    "data-e2e-test-id"?: string;
    /**  Called when tooltip appears and disappears */
    onVisibilityChange?: (isVisible: boolean) => void;
};
type TooltipChildProps = {
    tabIndex?: number;
    onFocus?: (event: ReactFocusEvent) => void;
    onBlur?: (event: ReactFocusEvent) => void;
    onClick?: (event: ReactMouseEvent) => void;
    [key: string]: any;
};
export type BaseTooltipProps = BaseProps & ({
    children: ReactElement<TooltipChildProps>;
    externalTriggerRef?: never;
} | {
    children?: never;
    externalTriggerRef: React.RefObject<HTMLElement>;
});
export declare function BaseTooltip({ placement, content, children, externalTriggerRef, portalContainer, contentPadding, maxWidth, subTheme, "data-e2e-test-id": dataE2eTestId, onVisibilityChange, }: BaseTooltipProps): React.ReactElement;
export {};
