import React, { type ReactNode, type ComponentProps } from "react";
import type { Theme } from "@emotion/react";
import type { TextAlignment, TextVariations, TextColors, TextSize, TextWeight, MQ, Hyphens, OverflowWrap } from "../../../types";
export type BaseTextProps = {
    children: ReactNode;
    size?: TextSize;
    weight?: TextWeight;
    transform?: "none" | "capitalize" | "uppercase" | "lowercase";
    as?: "p" | "span";
    /** @deprecated variant property is deprecated now. Please use color prop. */
    variant?: TextVariations;
    color?: TextColors;
    align?: TextAlignment;
    overflowWrap?: OverflowWrap;
    hyphens?: Hyphens | MQ<Hyphens>;
    "data-e2e-test-id"?: string;
    /** @ignore */
    "data-ds-id"?: string;
};
export declare const TextContext: React.Context<Pick<BaseTextProps, "color" | "size" | "weight">>;
export declare const getTextLineHeight: ({ theme, size, }: {
    theme: Theme;
    size: TextSize;
}) => number;
declare const StyledText: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
} & BaseTextProps, React.DetailedHTMLProps<React.HTMLAttributes<HTMLParagraphElement>, HTMLParagraphElement>, {}>;
export type TextProps = ComponentProps<typeof StyledText>;
export declare const Text: React.ForwardRefExoticComponent<Omit<{
    theme?: Theme;
    as?: React.ElementType;
} & BaseTextProps & React.ClassAttributes<HTMLParagraphElement> & React.HTMLAttributes<HTMLParagraphElement>, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
export {};
