import type { RefObject } from "react";
/**
 * useOutsideClick handles outside click of a given element.
 * @param {RefObject} ref - Reference to a DOM element.
 * @param {e: MouseEvent => void} handler - Function invoked when a click is triggered outside the referenced element.
 * @param {boolean} isActive - A flag to determine when the outside click event needs to be applied.
 *
 * Example: useOutsideClick(menuRef, closeMenu, menuIsOpen)
 * Means that when a menu is opened, clicking outside of the menu will close the mneu.
 */
export declare const useOutsideClick: (ref: RefObject<any>, handler: (e: MouseEvent) => void, isActive: boolean) => void;
