import type { ElementType } from "react";
import React from "react";
import { type BadgeProps } from "../Badge/Badge";
import { type ButtonProps } from "../Button/Button";
import { type IconProps } from "../Icon/Icon";
export type ActionButton = ButtonProps & {
    label: string;
    href?: string;
    target?: string;
    as?: ElementType;
    testId?: ButtonProps["data-e2e-test-id"];
};
export type AccessCardItemProps = {
    title: string;
    isIconActive: boolean;
    iconName: IconProps["name"];
    subTitle?: string;
    badge?: Pick<BadgeProps, "text" | "color">;
    additionalInfo?: string;
    primaryButton?: ActionButton;
    secondaryButtons?: ActionButton[];
    "data-e2e-test-id"?: string;
};
export declare function AccessCardItem({ isIconActive, iconName, title, subTitle, badge, additionalInfo, primaryButton, secondaryButtons, "data-e2e-test-id": dataE2eTestId, }: AccessCardItemProps): React.ReactElement;
