import type { AriaAttributes } from "react";
import React from "react";
import type { IconName } from "../Icon/Icon";
import type { BaseVariations, ButtonSize, HorizontalAlignment, TextVariations, PolymorphicComponentPropsWithRef, IconsColors } from "../../types";
type ButtonPrivateProps = {
    squareCorners?: boolean | ("TopLeft" | "TopRight" | "BottomLeft" | "BottomRight")[];
    alignItems?: HorizontalAlignment;
    rightIconVariant?: TextVariations;
    rightIconColor?: IconsColors;
};
export type ButtonProps = {
    variant?: BaseVariations;
    size?: ButtonSize;
    /** Type is ignored if "a" is provided to "as" property. Note that you can explicetly pass null. */
    type?: "submit" | "button" | "reset" | null;
    disabled?: boolean;
    /** When loading is true, disabled is set to true as well. */
    loading?: boolean;
    onClick?: (e: React.MouseEvent) => void;
    onFocus?: (e: React.FocusEvent) => void;
    onBlur?: (e: React.FocusEvent) => void;
    leftIcon?: IconName;
    rightIcon?: IconName;
    fullWidth?: boolean;
    destructive?: boolean;
    privateProps?: ButtonPrivateProps;
    "data-e2e-test-id"?: string;
    /** Additional aria attributes. [see documentation](https://github.com/DefinitelyTyped/DefinitelyTyped/blob/02549c083e9d62b604091d770c4568d47282cdd0/types/react/index.d.ts#L1461)
     */
    ariaAttributes?: AriaAttributes;
};
type ButtonComponent = <C extends React.ElementType = "button">(props: PolymorphicComponentPropsWithRef<C, ButtonProps>) => React.ReactNode | null;
export declare const Button: ButtonComponent;
export {};
