import React from "react";
import type { DropdownMenuProps } from "../DropdownMenu/DropdownMenu";
import type { HeaderProps } from "../Typography/Header/Header";
export type CardProps = {
    /** Specify title displayed in Header */
    title?: string;
    /** Specify what the html element of of the card header should be */
    titleAs?: HeaderProps["as"];
    dropdown?: Omit<DropdownMenuProps, "iconName" | "size">;
    overflow?: "auto" | "hidden" | "visible";
    squareCorners?: boolean;
    id?: string;
    children?: React.ReactNode;
    "data-e2e-test-id"?: string;
};
export declare function Card({ title, titleAs, dropdown, children, overflow, squareCorners, id, "data-e2e-test-id": dataE2eTestId, }: CardProps): React.ReactElement;
