import React from "react";
import { type ContainerProps } from "../Container/Container";
import type { PortalProps } from "../Portal/Portal";
type DropdownMenuOption = {
    label: string;
    onSelect: (ev: React.MouseEvent) => void;
};
export type CatalogCardProps = Omit<ContainerProps, "id" | "elevation" | "overflow" | "squareCorners" | "children"> & {
    title: string;
    subtitle?: string;
    dropdownMenuOptions?: DropdownMenuOption[];
    portalContainer?: PortalProps["portalContainer"];
    onClick?: VoidFunction;
    onDropdownClick?: (ev: MouseEvent | KeyboardEvent) => void;
    topLeftElement?: React.ReactNode;
};
export declare function CatalogCard({ title, subtitle, dropdownMenuOptions, onClick, onDropdownClick, topLeftElement, portalContainer, borderRadius, "data-e2e-test-id": dataE2eTestId, "data-ds-id": dataDsId, }: CatalogCardProps): React.ReactElement;
export {};
