import type { Property } from "csstype";
import type { TextAlignment, MQ } from "../../types";
export type DataTableRow = {
    id: string;
    [key: string]: any;
};
export type DataTableColumn = {
    name: string;
    label: string;
    align?: TextAlignment | MQ<TextAlignment>;
    width?: string | MQ<string>;
    isSortable?: boolean;
    sortDirection?: "asc" | "desc";
    renderCell?: (row: DataTableRow) => React.ReactElement;
};
export type DataTableRowProps = {
    verticalAlign?: Property.VerticalAlign;
    isActive?: boolean;
    isSelectable?: boolean;
    selectRowCheckboxAriaLabel?: string;
};
