import type { Dispatch, SetStateAction } from "react";
import type { DataTableColumn, DataTableRow } from "./types";
import type { DataTableProps } from "./DataTable";
type SortCompareFn = (a: DataTableRow, b: DataTableRow, columnName: DataTableColumn["name"], desiredSortDirection: DataTableColumn["sortDirection"]) => number;
export declare const defaultSortCompareFn: (a: DataTableRow, b: DataTableRow, columnName: DataTableColumn["name"], desiredSortDirection: DataTableColumn["sortDirection"]) => number;
export declare function useDataTableSort(initialColumns: DataTableColumn[], initialRows: DataTableRow[], initialSortedByColumn?: DataTableColumn["name"], sortCompareFn?: SortCompareFn): {
    columns: DataTableColumn[];
    rows: DataTableRow[];
    currentlySortedByColumn: DataTableColumn["name"];
    handleSort: DataTableProps["onSort"];
    resetColumns: VoidFunction;
    setColumns: Dispatch<SetStateAction<DataTableColumn[]>>;
    setRows: Dispatch<SetStateAction<DataTableRow[]>>;
    setCurrentlySortedByColumn: Dispatch<SetStateAction<DataTableColumn["name"]>>;
};
export {};
