import React from "react";
import type { ButtonSize } from "../../types";
import type { IconName } from "../Icon/Icon";
export type MenuItemProps = {
    /** The text for the menu item */
    label: string;
    /** The size of the menu item */
    size?: ButtonSize;
    /** Menu item disabled state */
    disabled?: boolean;
    /** Indicates whether the menu item is destructive. */
    destructive?: boolean;
    /** On select menu item callback */
    onSelect: (e: React.MouseEvent) => void;
    icon?: IconName;
    emphasized?: boolean;
    textVariant?: "uppercase" | "capitalize" | "lowercase" | "none";
    onBlur?: (e: React.FocusEvent) => void;
};
export declare function MenuItem({ label, size, disabled, onSelect, icon, destructive, emphasized, textVariant, onBlur, }: MenuItemProps): React.ReactElement;
