import type { InputHTMLAttributes } from "react";
import React from "react";
import type { FormFieldProps } from "../FormField/FormField";
type CheckboxSizes = "s" | "m";
export type CheckboxProps = {
    label?: string | React.ReactElement;
    indeterminate?: boolean;
    size?: CheckboxSizes;
} & Omit<FormFieldProps, "hideLabel" | "label"> & Omit<InputHTMLAttributes<HTMLInputElement>, "size" | "type">;
export declare const StyledCheckboxContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: React.ElementType;
} & {
    isInteractable: boolean;
}, React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const CheckboxRaw: React.ForwardRefExoticComponent<{
    label?: string | React.ReactElement;
    indeterminate?: boolean;
    size?: CheckboxSizes;
} & Omit<FormFieldProps, "label" | "hideLabel"> & Omit<InputHTMLAttributes<HTMLInputElement>, "type" | "size"> & {
    labelSize?: CheckboxSizes;
} & React.RefAttributes<HTMLInputElement>>;
export declare const Checkbox: React.ForwardRefExoticComponent<{
    label?: string | React.ReactElement;
    indeterminate?: boolean;
    size?: CheckboxSizes;
} & Omit<FormFieldProps, "label" | "hideLabel"> & Omit<InputHTMLAttributes<HTMLInputElement>, "type" | "size"> & React.RefAttributes<HTMLInputElement>>;
export {};
