import React, { type ElementType } from "react";
import type { SpaceSizes, MQ } from "../../../types";
export type FormFieldGroupProps = {
    label?: string;
    labelAs?: ElementType<any, "div" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6">;
    isLabelHidden?: boolean;
    labelHint?: string;
    children: React.ReactNode[] | React.ReactElement;
    errorMessages?: string[];
    hint?: string;
    disabled?: boolean;
    inline?: boolean;
    space?: SpaceSizes | MQ<SpaceSizes>;
    "data-e2e-test-id"?: string;
};
export declare function FormFieldGroup({ children, label, labelAs, isLabelHidden, labelHint, errorMessages, hint, disabled, inline, space, "data-e2e-test-id": dataE2eTestId, }: FormFieldGroupProps): React.ReactElement;
