import type { InputHTMLAttributes } from "react";
import React from "react";
import type { IconName } from "../../Icon/Icon";
import type { FormFieldProps } from "../FormField/FormField";
import type { InputTextSize } from "../../../types";
export type InputProps = {
    icon?: IconName;
    size?: InputTextSize;
    /**
     * Set to true to toggle error state
     */
    hasError?: boolean;
    privateProps?: {
        isTransparent?: boolean;
        hideOutline?: boolean;
    };
} & FormFieldProps & Omit<InputHTMLAttributes<HTMLInputElement>, "size">;
export declare const InputRaw: React.ForwardRefExoticComponent<{
    icon?: IconName;
    size?: InputTextSize;
    /**
     * Set to true to toggle error state
     */
    hasError?: boolean;
    privateProps?: {
        isTransparent?: boolean;
        hideOutline?: boolean;
    };
} & FormFieldProps & Omit<InputHTMLAttributes<HTMLInputElement>, "size"> & React.RefAttributes<HTMLInputElement>>;
export declare const Input: React.ForwardRefExoticComponent<{
    icon?: IconName;
    size?: InputTextSize;
    /**
     * Set to true to toggle error state
     */
    hasError?: boolean;
    privateProps?: {
        isTransparent?: boolean;
        hideOutline?: boolean;
    };
} & FormFieldProps & Omit<InputHTMLAttributes<HTMLInputElement>, "size"> & React.RefAttributes<HTMLInputElement>>;
