import React, { type InputHTMLAttributes } from "react";
import type { FormFieldProps } from "../FormField/FormField";
type RadioSizes = "s" | "m";
export type RadioProps = {
    label?: string | React.ReactElement;
    /** Display hint below the label specific for the radio */
    labelHint?: string | React.ReactElement;
    size?: RadioSizes;
} & Omit<FormFieldProps, "labelHint" | "hideLabel" | "label" | "labelHint"> & Omit<InputHTMLAttributes<HTMLInputElement>, "size" | "type">;
export declare const StyledRadioContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: React.ElementType;
} & {
    isInteractable: boolean;
}, React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const RadioRaw: React.ForwardRefExoticComponent<{
    label?: string | React.ReactElement;
    /** Display hint below the label specific for the radio */
    labelHint?: string | React.ReactElement;
    size?: RadioSizes;
} & Omit<FormFieldProps, "label" | "labelHint" | "hideLabel"> & Omit<React.InputHTMLAttributes<HTMLInputElement>, "type" | "size"> & {
    labelSize?: RadioSizes;
} & React.RefAttributes<HTMLInputElement>>;
export declare const Radio: React.ForwardRefExoticComponent<{
    label?: string | React.ReactElement;
    /** Display hint below the label specific for the radio */
    labelHint?: string | React.ReactElement;
    size?: RadioSizes;
} & Omit<FormFieldProps, "label" | "labelHint" | "hideLabel"> & Omit<React.InputHTMLAttributes<HTMLInputElement>, "type" | "size"> & React.RefAttributes<HTMLInputElement>>;
export {};
