import React, { type TextareaHTMLAttributes } from "react";
import type { FormFieldProps } from "../FormField/FormField";
type TextareaRawProps = {
    /**
     * Set to true to toggle error state
     */
    hasError?: boolean;
    resize?: "none" | "horizontal" | "vertical" | "both";
} & TextareaHTMLAttributes<HTMLTextAreaElement>;
export type TextareaProps = FormFieldProps & TextareaRawProps;
export declare const TextareaRaw: React.ForwardRefExoticComponent<{
    /**
     * Set to true to toggle error state
     */
    hasError?: boolean;
    resize?: "none" | "horizontal" | "vertical" | "both";
} & React.TextareaHTMLAttributes<HTMLTextAreaElement> & React.RefAttributes<HTMLTextAreaElement>>;
export declare const Textarea: React.ForwardRefExoticComponent<FormFieldProps & {
    /**
     * Set to true to toggle error state
     */
    hasError?: boolean;
    resize?: "none" | "horizontal" | "vertical" | "both";
} & React.TextareaHTMLAttributes<HTMLTextAreaElement> & React.RefAttributes<HTMLTextAreaElement>>;
export {};
