import React, { type InputHTMLAttributes } from "react";
import type { FormFieldProps } from "../FormField/FormField";
import type { InlineProps } from "../../Inline/Inline";
import type { ToggleSize } from "../../../types";
type ToggleRawProps = {
    size?: ToggleSize;
    isHighlighted?: boolean;
} & Omit<InputHTMLAttributes<HTMLInputElement>, "size" | "type">;
export declare const ToggleRaw: React.ForwardRefExoticComponent<{
    size?: ToggleSize;
    isHighlighted?: boolean;
} & Omit<React.InputHTMLAttributes<HTMLInputElement>, "type" | "size"> & React.RefAttributes<HTMLInputElement>>;
export type ToggleProps = ToggleRawProps & {
    /** Controls label alignment with respect to toggle */
    alignLabel?: "before" | "after";
    /** Display hint below the label specific for the toggle */
    labelHint?: string | React.ReactElement;
    alignItems?: InlineProps["alignItems"];
} & Omit<FormFieldProps, "labelHint" | "hideLabel">;
export declare const Toggle: React.ForwardRefExoticComponent<{
    size?: ToggleSize;
    isHighlighted?: boolean;
} & Omit<React.InputHTMLAttributes<HTMLInputElement>, "type" | "size"> & {
    /** Controls label alignment with respect to toggle */
    alignLabel?: "before" | "after";
    /** Display hint below the label specific for the toggle */
    labelHint?: string | React.ReactElement;
    alignItems?: InlineProps["alignItems"];
} & Omit<FormFieldProps, "labelHint" | "hideLabel"> & React.RefAttributes<HTMLInputElement>>;
export {};
