import type { ImgHTMLAttributes, SourceHTMLAttributes } from "react";
import React from "react";
import type { Property } from "csstype";
import type { MQ, BorderRadius } from "../../types";
export type ImageProps = ImgHTMLAttributes<HTMLImageElement> & {
    /** src for a placeholder image to be shown while loading the original image */
    placeholderSrc?: string;
    /** src for a fallback image if original image cannot be loaded */
    fallbackSrc?: string;
    /** provide props for source elements to define multiple srcsets */
    sources?: SourceHTMLAttributes<HTMLSourceElement>[];
    /** lazy load image */
    lazy?: boolean;
    /** maps to object-fit css */
    fit?: Property.ObjectFit | MQ<Property.ObjectFit>;
    /** maps to object-position css */
    position?: Property.ObjectPosition | MQ<Property.ObjectPosition>;
    borderRadius?: BorderRadius | MQ<BorderRadius>;
    "data-e2e-test-id"?: string;
};
export declare const Image: React.ForwardRefExoticComponent<ImgHTMLAttributes<HTMLImageElement> & {
    /** src for a placeholder image to be shown while loading the original image */
    placeholderSrc?: string;
    /** src for a fallback image if original image cannot be loaded */
    fallbackSrc?: string;
    /** provide props for source elements to define multiple srcsets */
    sources?: SourceHTMLAttributes<HTMLSourceElement>[];
    /** lazy load image */
    lazy?: boolean;
    /** maps to object-fit css */
    fit?: Property.ObjectFit | MQ<Property.ObjectFit>;
    /** maps to object-position css */
    position?: Property.ObjectPosition | MQ<Property.ObjectPosition>;
    borderRadius?: BorderRadius | MQ<BorderRadius>;
    "data-e2e-test-id"?: string;
} & React.RefAttributes<HTMLImageElement>>;
