import React from "react";
import type { TextColors, TextSize, TextWeight, PolymorphicComponentPropsWithRef, LinkVariations } from "../../types";
export type LinkConditionalProps = {
    /** It forces to inherit color, weight, size from parent */
    inline?: true;
    /** A color is inherited from its parent Text otherwise set as 'primary' */
    color: TextColors;
} | {
    inline?: false;
    color?: TextColors;
};
export type LinkProps = {
    /** A size is inherited from its parent */
    size?: TextSize;
    /** A weight is inherited from its parent */
    weight?: TextWeight;
    /** @deprecated variant, please use "color" prop instead */
    variant?: LinkVariations;
    "data-e2e-test-id"?: string;
} & LinkConditionalProps;
type LinkComponent = <C extends React.ElementType = "a">(props: PolymorphicComponentPropsWithRef<C, LinkProps>) => React.ReactNode | null;
export declare const Link: LinkComponent;
export {};
