import React from "react";
import type { MQ, SpaceSizes, ButtonSize } from "../../../types";
import type { ButtonProps } from "../../Button/Button";
export type ButtonGroupButtonProps = {
    text: string;
} & ButtonProps;
export type ButtonGroupProps = {
    /** Text and other props for action Button */
    actionButton?: ButtonGroupButtonProps;
    /** Text and other props for cancel Button */
    secondaryButton?: ButtonGroupButtonProps;
    /** @deprecated Use secondaryButton to pass in text and other props for cancel button */
    cancelButtonText?: string;
    onButtonClick?: (action: "cancel" | "action") => void;
    space?: MQ<SpaceSizes> | SpaceSizes;
    /** Action and Cancel button size */
    buttonSize?: ButtonSize;
    "data-e2e-test-id"?: string;
};
export declare function ButtonGroup({ cancelButtonText, actionButton, secondaryButton, buttonSize, onButtonClick, "data-e2e-test-id": dataE2eTestId, }: ButtonGroupProps): React.ReactElement;
