import React from "react";
import type { IconName } from "../Icon/Icon";
import type { ButtonProps } from "../Button/Button";
import type { PictogramVariations, PolymorphicComponentPropsWithRef } from "../../types";
export type PictogramButtonProps = {
    /** The centered icon to be displayed. */
    icon: IconName;
    /** If true, the button has square corners. */
    squareCorners?: boolean;
    /** Size */
    size?: "xs" | "s" | "m";
    variant?: PictogramVariations;
    label?: string;
} & Omit<ButtonProps, "variant" | "size" | "leftIcon" | "rightIcon" | "fullWidth" | "destructive" | "privateProps" | "loading">;
type PictogramButtonComponent = <C extends React.ElementType = "button">(props: PolymorphicComponentPropsWithRef<C, PictogramButtonProps>) => React.ReactNode | null;
export declare const PictogramButton: PictogramButtonComponent;
export {};
