import React from "react";
import type { TagProps } from "../Tag/Tag";
type BaseTagGroupProps = {
    tags: TagProps[];
    colorVariant?: TagProps["colorVariant"];
    "data-e2e-test-id"?: string;
};
type ConditionalTagGroupProps = {
    isTagRemovable?: false;
    onRemoveTag?: never;
} | {
    isTagRemovable: true;
    onRemoveTag: (tag: TagProps) => void;
};
export type TagGroupProps = BaseTagGroupProps & ConditionalTagGroupProps;
export declare function TagGroup({ colorVariant, isTagRemovable, tags, onRemoveTag, "data-e2e-test-id": dataE2eTestId, }: TagGroupProps): React.ReactElement;
export {};
