import type { ReactElement } from "react";
import React from "react";
import type { PortalProps } from "../Portal/Portal";
import type { PolymorphicComponentPropsWithRef } from "../../types";
import { type ButtonProps } from "../Button/Button";
import type { IconName } from "../Icon/Icon";
type DismissReason = "timeout" | "close" | "replaced";
export type ToastProps<C extends React.ElementType = "button"> = {
    type?: "info" | "success" | "error" | "neutral";
    iconName?: IconName | null;
    isVisible: boolean;
    message: string | ReactElement;
    autoDismissDuration?: "none" | "s" | "m" | "l";
    closeButtonAriaLabel?: string;
    actionButton?: PolymorphicComponentPropsWithRef<C, ButtonProps>;
    onDismiss: (reason: DismissReason) => void;
    "data-e2e-test-id"?: string;
} & Pick<PortalProps, "portalContainer">;
export declare function Toast<C extends React.ElementType = "button">({ type, iconName, isVisible, message, portalContainer, actionButton, autoDismissDuration, closeButtonAriaLabel, onDismiss, "data-e2e-test-id": dataE2eTestId, }: ToastProps<C>): React.ReactElement;
export {};
