import type { MutableRefObject, ReactElement } from "react";
import React from "react";
import type { Property } from "csstype";
import type { SubThemeTypes } from "../../web-tokens/_subThemeType";
import { type PortalProps } from "../Portal/Portal";
export type TooltipContentProps = {
    content: ReactElement;
    triggerRef: MutableRefObject<any>;
    placement?: "auto" | "top" | "bottom" | "top-left" | "top-right" | "bottom-left" | "bottom-right";
    dataE2eTestId?: string;
    dataDSId: string;
    isVisible?: boolean;
    tooltipId?: string;
    "aria-hidden"?: boolean;
    role?: string;
    tabIndex?: number;
    contentPadding?: "s" | "m";
    subTheme?: SubThemeTypes;
    maxWidth?: Property.MaxWidth | number;
    defaultVerticalPlacement?: TooltipStyle["verticalPlacement"];
    onTooltipPointerEnter?: React.PointerEventHandler<HTMLDivElement>;
    onTooltipPointerLeave?: React.PointerEventHandler<HTMLDivElement>;
    hideArrow?: boolean;
    /** This callback is triggered when content overflows the viewport both above and below trigger. Use this for tracking purposes or re-rendering Popover with a larger maxWidth */
    onOverflowViewport?: (triggerRect: DOMRect, tooltipRect: DOMRect, viewportHeight: number) => void;
} & Pick<PortalProps, "portalContainer">;
export type TooltipStyle = {
    top: number;
    left: number;
    horizontalPlacement: "left" | "right" | "center";
    verticalPlacement: "top" | "bottom";
};
/** This component is used to display the overlay for both Toggletip and Tooltip components */
export declare function TooltipContent({ placement, content, tooltipId, triggerRef, portalContainer, dataE2eTestId, dataDSId, isVisible, "aria-hidden": ariaHidden, role, tabIndex, contentPadding, maxWidth, subTheme, defaultVerticalPlacement, onTooltipPointerEnter, onTooltipPointerLeave, hideArrow, onOverflowViewport, }: TooltipContentProps): React.ReactElement;
