import type { RefObject } from "react";
import type { TooltipProps } from "./Tooltip";
import type { TooltipStyle, TooltipContentProps } from "./TooltipContent";
export declare const DISTANCE_FROM_TRIGGER = 4;
export declare const ANIMATION_DISTANCE = 8;
export declare const ARROW_SIZE = 6;
export declare const ARROW_SIZE_BIG = 8;
export declare const getArrowOffset: (size: number) => number;
type GetTooltipStyleParams = {
    placement: TooltipProps["placement"];
    defaultVerticalPlacement?: TooltipStyle["verticalPlacement"];
    triggerRef: RefObject<any>;
    tooltipRef: RefObject<any>;
    document: Document;
    window: Window;
    arrowSize: number;
    onOverflowViewport: TooltipContentProps["onOverflowViewport"];
};
/**
 * Get tooltip position and width
 */
export declare function getTooltipStyle({ placement, defaultVerticalPlacement, triggerRef, tooltipRef, document, window, arrowSize, onOverflowViewport, }: GetTooltipStyleParams): TooltipStyle;
export {};
