type Offset = {
    amount: number;
    isInterpolated: boolean;
};
type State = {
    avgItemHeight?: number;
    overscan?: number;
    maxHeight?: number;
    topOffsets?: Offset[];
    renderFrom?: number;
    scrolledItemCount?: number;
    scrolledInPx?: number;
    lastItemHeight?: number;
    amountOfItemsInView?: number;
    maxContentHeight?: number;
    recommendedScrollPosition?: number;
};
type Action = {
    type: "scroll";
    scrollTop: number;
} | {
    type: "updateViewport";
    viewportNode: HTMLDivElement;
    itemAmount: number;
} | {
    type: "reset";
    itemHeight: number;
    maxHeight: number;
    overscan: number;
} | {
    type: "recommendScrollPosition";
    scrollTop: number;
    itemToBeInView: number;
};
export declare const VirtualScrollReducer: (prevState: State, action: Action) => State;
export {};
