import type { RefObject } from "react";
export type UseDragDownOptions = {
    ref: RefObject<any>;
    isVisible?: boolean;
    onDragStart: (touchStartY: number) => void;
    onDrag: (touchMoveY: number, offsetFromStart: number) => void;
    onDragEnd: (touchEndY: number, offsetFromStart: number) => void;
    onDragCancel: () => void;
};
/**
 * Handle Drag down gesture for mobile web
 */
export declare function useDragDown({ ref, isVisible, onDragStart, onDrag, onDragEnd, onDragCancel, }: UseDragDownOptions): void;
