import type { Static } from "runtypes";
import { Literal, Union } from "runtypes";
export declare const LinkTextSizeRuntype: Union<[Literal<"xs">, Literal<"s">, Literal<"m">, Literal<"l">]>;
export type LinkTextSize = Static<typeof LinkTextSizeRuntype>;
export declare const TextSizeRuntype: Union<[Literal<"xs">, Literal<"s">, Literal<"m">]>;
export type TextSize = Static<typeof TextSizeRuntype>;
export declare const InputTextSizeRuntype: Union<[Literal<"s">, Literal<"m">]>;
export type InputTextSize = Static<typeof InputTextSizeRuntype>;
export declare const BorderRadiusRuntype: Union<[Literal<"none">, Literal<"xs">, Literal<"s">, Literal<"m">]>;
export type BorderRadius = Static<typeof BorderRadiusRuntype>;
export declare const TextAlignmentRuntype: Union<[Literal<"left">, Literal<"right">, Literal<"center">]>;
export type TextAlignment = Static<typeof TextAlignmentRuntype>;
export declare const HorizontalAlignmentRuntype: Union<[Literal<"left">, Literal<"right">, Literal<"center">, Literal<"spaceBetween">]>;
export type HorizontalAlignment = Static<typeof HorizontalAlignmentRuntype>;
export declare const VerticalAlignmentRuntype: Union<[Literal<"top">, Literal<"bottom">, Literal<"center">, Literal<"stretch">]>;
export type VerticalAlignment = Static<typeof VerticalAlignmentRuntype>;
export declare const StackVerticalAlignmentRuntype: Union<[Literal<"top">, Literal<"bottom">, Literal<"center">, Literal<"spaceBetween">]>;
export type StackVerticalAlignment = Static<typeof StackVerticalAlignmentRuntype>;
export declare const StackHorizontalAlignmentRuntype: Union<[Literal<"left">, Literal<"right">, Literal<"center">, Literal<"stretch">]>;
export type StackHorizontalAlignment = Static<typeof StackHorizontalAlignmentRuntype>;
export declare const SpaceSizesRuntype: Union<[Literal<"zero">, Literal<"xxxs">, Literal<"xxs">, Literal<"xs">, Literal<"s">, Literal<"m">, Literal<"l">, Literal<"xl">, Literal<"xxl">]>;
export type SpaceSizes = Static<typeof SpaceSizesRuntype>;
export declare const ColumsSizesRuntype: Union<[Literal<1>, Literal<2>, Literal<3>, Literal<4>, Literal<5>, Literal<6>, Literal<7>, Literal<8>, Literal<9>, Literal<10>, Literal<11>, Literal<12>, Literal<"auto">, Literal<"narrow">, Literal<"fill">]>;
export type ColumnSizes = Static<typeof ColumsSizesRuntype>;
export declare const ColumnAlignmentRunType: Union<[Literal<"auto">, Literal<"start">, Literal<"center">, Literal<"end">]>;
export type ColumnAlignment = Static<typeof ColumnAlignmentRunType>;
export declare const OrderRuntype: Union<[Literal<"first">, Literal<"last">, Literal<"unset">]>;
export type Order = Static<typeof OrderRuntype>;
export declare const BaseVariationsRuntype: Union<[Literal<"primary">, Literal<"secondary">, Literal<"tertiary">]>;
export declare const BaseColorsRuntype: Union<[Union<[Literal<"primary">, Literal<"secondary">, Literal<"tertiary">]>, Literal<"accent">]>;
export type BaseVariations = Static<typeof BaseVariationsRuntype>;
export type BaseColors = Static<typeof BaseColorsRuntype>;
declare const PictogramVariationsRuntype: Union<[Literal<"secondary">, Literal<"tertiary">, Literal<"quaternary">]>;
export type PictogramVariations = Static<typeof PictogramVariationsRuntype>;
declare const TextColorsRuntype: Union<[Union<[Union<[Literal<"primary">, Literal<"secondary">, Literal<"tertiary">]>, Literal<"accent">]>, Literal<"success">, Literal<"info">, Literal<"error">, Literal<"warning">]>;
export type TextColors = Static<typeof TextColorsRuntype>;
declare const TextVariationsRuntype: Union<[Union<[Literal<"primary">, Literal<"secondary">, Literal<"tertiary">]>, Literal<"success">, Literal<"info">, Literal<"error">, Literal<"warning">]>;
export type TextVariations = Static<typeof TextVariationsRuntype>;
declare const TextWeightRuntype: Union<[Literal<"normal">, Literal<"bold">, Literal<"black">, Literal<"inherit">]>;
export type TextWeight = Static<typeof TextWeightRuntype>;
declare const IconsColorsRuntime: Union<[Union<[Union<[Literal<"primary">, Literal<"secondary">, Literal<"tertiary">]>, Literal<"accent">]>, Literal<"success">, Literal<"info">, Literal<"error">, Literal<"warning">, Literal<"inherit">, Literal<"brand">, Literal<"quaternary">]>;
export type IconsColors = Static<typeof IconsColorsRuntime>;
declare const IconsVariationsRuntype: Union<[Union<[Literal<"primary">, Literal<"secondary">, Literal<"tertiary">]>, Literal<"success">, Literal<"info">, Literal<"error">, Literal<"warning">, Literal<"inherit">, Literal<"brand">]>;
export type IconsVariations = Static<typeof IconsVariationsRuntype>;
declare const CalloutVariationsRuntype: Union<[Literal<"info">, Literal<"success">, Literal<"error">, Literal<"warning">, Literal<"neutral">]>;
export type CalloutVariations = Static<typeof CalloutVariationsRuntype>;
declare const LinkVariationsRuntype: Union<[Union<[Literal<"primary">, Literal<"secondary">, Literal<"tertiary">]>]>;
export type LinkVariations = Static<typeof LinkVariationsRuntype>;
declare const LinkColorsRuntype: Union<[Union<[Union<[Literal<"primary">, Literal<"secondary">, Literal<"tertiary">]>, Literal<"accent">]>]>;
export type LinkColors = Static<typeof LinkColorsRuntype>;
export type MQ<T> = [T, T?, T?] | {
    mq: [T, T?, T?];
    cq: [T, T?, T?];
};
declare const ButtonSizeRuntype: Union<[Literal<"s">, Literal<"m">, Literal<"l">]>;
export type ButtonSize = Static<typeof ButtonSizeRuntype>;
export declare const HyphensRuntype: Union<[Literal<"auto">, Literal<"none">, Literal<"manual">]>;
export type Hyphens = Static<typeof HyphensRuntype>;
declare const OverflowWrapRuntype: Union<[Literal<"normal">, Literal<"break-word">]>;
export type OverflowWrap = Static<typeof OverflowWrapRuntype>;
export declare const ToggleSizeRuntype: Union<[Literal<"s">, Literal<"m">]>;
export type ToggleSize = Static<typeof ToggleSizeRuntype>;
export declare const ListSizeRuntype: Union<[Literal<"xs">, Literal<"s">, Literal<"m">, Literal<"l">]>;
export type ListSize = Static<typeof ListSizeRuntype>;
export type AsProp<C extends React.ElementType> = {
    as?: C;
};
type PropsToOmit<C extends React.ElementType, P> = keyof (AsProp<C> & P);
export type PolymorphicComponentProps<C extends React.ElementType, Props> = React.PropsWithChildren<Props & AsProp<C>> & Omit<React.ComponentPropsWithoutRef<C>, PropsToOmit<C, Props>>;
export type PolymorphicRef<C extends React.ElementType> = React.ComponentPropsWithRef<C>["ref"];
export type PolymorphicComponentPropsWithRef<C extends React.ElementType, Props> = PolymorphicComponentProps<C, Props> & {
    ref?: PolymorphicRef<C>;
};
export declare const MediaItemSizeRuntype: Union<[Literal<"xs">, Literal<"s">, Literal<"m">, Literal<"l">, Literal<"xl">]>;
export type MediaItemSize = Static<typeof MediaItemSizeRuntype>;
export {};
