type Variables = {
    "size": {
        "dimension": {
            "icon": {
                "s": string;
                "m": string;
                "l": string;
            };
            "content": {
                "maxWidth": string;
            };
            "checkbox": {
                "s": string;
                "m": string;
            };
            "radio": {
                "s": string;
                "m": string;
            };
            "radioPoint": {
                "s": string;
                "m": string;
            };
            "toggle": {
                "height": {
                    "s": string;
                    "m": string;
                };
                "width": {
                    "s": string;
                    "m": string;
                };
            };
            "textarea": {
                "minHeight": {
                    "m": string;
                };
            };
            "togglePoint": {
                "s": string;
                "m": string;
            };
            "toggleButton": {
                "height": {
                    "m": string;
                };
            };
            "dropdownMenu": {
                "width": string;
            };
            "modal": {
                "width": {
                    "m": string;
                    "l": string;
                };
                "maxHeight": {
                    "l": string;
                };
                "margin": {
                    "l": string;
                };
                "fullScreenContentWidth": string;
            };
            "mediaViewerBar": {
                "separator": {
                    "width": string;
                };
            };
            "legendKey": {
                "width": string;
            };
        };
        "letterSpacing": {
            "none": string;
            "s": string;
            "m": string;
        };
        "font": {
            "xs": string;
            "s": string;
            "m": string;
            "l": string;
            "xl": string;
            "xxl": string;
            "xxxl": string;
        };
        "spacing": {
            "zero": string;
            "xxxs": string;
            "xxs": string;
            "xs": string;
            "s": string;
            "m": string;
            "l": string;
            "xl": string;
            "xxl": string;
        };
        "borderRadius": {
            "none": string;
            "xs": string;
            "s": string;
            "m": string;
            "l": string;
            "xl": string;
        };
        "lineHeight": {
            "xs": number;
            "s": number;
            "m": number;
            "l": number;
            "xl": number;
            "xxl": number;
            "xxxl": number;
        };
    };
    "animation": {
        "modal": {
            "open": {
                "duration": string;
                "delay": string;
                "timingFunction": string;
            };
        };
        "modalBackdrop": {
            "open": {
                "duration": string;
                "timingFunction": string;
            };
        };
        "toast": {
            "entry": {
                "duration": string;
                "distanceY": string;
            };
            "exit": {
                "duration": string;
                "distanceY": string;
            };
        };
    };
    "fontFamily": {
        "lato": string;
    };
    "opacity": {
        "hidden": number;
        "disabled": number;
        "hover": number;
        "visible": number;
    };
    "weight": {
        "normal": number;
        "semibold": number;
        "bold": number;
        "black": number;
        "inherit": string;
    };
    "zIndex": {
        "dropdown": number;
        "tooltip": number;
        "modal": number;
    };
};
type AmbossTheme = {
    "color": {
        "badge": {
            "background": {
                "default": string;
                "green": string;
                "blue": string;
                "yellow": string;
                "brand": string;
                "purple": string;
                "red": string;
                "gray": string;
            };
            "foreground": {
                "default": string;
                "green": string;
                "blue": string;
                "yellow": string;
                "brand": string;
                "purple": string;
                "red": string;
                "gray": string;
            };
            "border": {
                "default": string;
                "green": string;
                "blue": string;
                "yellow": string;
                "brand": string;
                "purple": string;
                "red": string;
                "gray": string;
            };
            "borderSubtle": {
                "default": string;
                "green": string;
                "blue": string;
                "yellow": string;
                "brand": string;
                "purple": string;
                "red": string;
                "gray": string;
            };
        };
        "dosageIcon": {
            "default": string;
            "hover": string;
        };
        "toggle": {
            "background": {
                "highlight": string;
            };
            "border": {
                "highlight": string;
            };
        };
        "segmentedProgressBar": {
            "monochrome": string;
            "success": string;
            "warning": string;
            "alert": string;
            "inProgress": string;
        };
        "tag": {
            "background": {
                "gray": string;
                "blue": string;
            };
            "text": {
                "gray": string;
                "blue": string;
            };
        };
        "destructiveTertiaryButton": {
            "background": {
                "hover": string;
                "active": string;
            };
        };
        "rangeInput": {
            "background": {
                "thumb": {
                    "default": string;
                };
            };
        };
        "searchInput": {
            "background": {
                "default": string;
            };
        };
        "qbankAnswer": {
            "background": {
                "title": {
                    "correct": {
                        "default": string;
                        "hover": string;
                    };
                    "correctWithHint": {
                        "default": string;
                        "hover": string;
                    };
                    "incorrect": {
                        "default": string;
                        "hover": string;
                    };
                };
                "explanation": {
                    "correct": {
                        "default": string;
                    };
                    "correctWithHint": {
                        "default": string;
                    };
                    "incorrect": {
                        "default": string;
                    };
                };
            };
            "border": {
                "correct": {
                    "default": string;
                };
                "correctWithHint": {
                    "default": string;
                };
                "incorrect": {
                    "default": string;
                };
            };
        };
        "chart": {
            "border": {
                "default": string;
            };
            "grid": {
                "primary": {
                    "default": string;
                };
                "secondary": {
                    "default": string;
                };
            };
            "background": {
                "default": string;
                "inverted": string;
            };
            "text": {
                "positive": {
                    "default": string;
                };
                "negative": {
                    "default": string;
                };
                "warning": {
                    "default": string;
                };
            };
            "neutral": {
                "default": string;
                "subtle": string;
                "bold": string;
            };
            "positive": {
                "default": string;
                "subtle": string;
                "bold": string;
            };
            "warning": {
                "default": string;
                "subtle": string;
                "bold": string;
            };
            "negative": {
                "default": string;
                "subtle": string;
                "bold": string;
            };
            "info": {
                "default": string;
                "subtle": string;
                "bold": string;
            };
            "accent": {
                "default": string;
                "subtle": string;
                "bold": string;
            };
        };
        "mediaItem": {
            "background": {
                "black": string;
                "white": string;
                "transparent": string;
            };
            "overlay": {
                "hover": string;
                "active": string;
            };
            "categoryIcon": {
                "background": {
                    "default": string;
                };
            };
        };
        "skeletonLoader": {
            "background": {
                "container": string;
                "element": string;
                "shimmer": string;
            };
        };
        "canvas": string;
        "background": {
            "primary": {
                "default": string;
            };
            "secondary": {
                "default": string;
                "hover": string;
                "active": string;
            };
            "accent": {
                "default": string;
                "hover": string;
                "active": string;
                "disabled": string;
            };
            "elevated": {
                "default": string;
            };
            "onAccent": {
                "default": string;
                "hover": string;
                "active": string;
                "disabled": string;
            };
            "error": {
                "default": string;
                "hover": string;
                "active": string;
                "disabled": string;
            };
            "success": {
                "default": string;
            };
            "info": {
                "default": string;
            };
            "warning": {
                "default": string;
            };
            "accentSubtle": {
                "default": string;
            };
            "errorSubtle": {
                "default": string;
            };
            "successSubtle": {
                "default": string;
            };
            "infoSubtle": {
                "default": string;
            };
            "warningSubtle": {
                "default": string;
            };
            "textHighlight": {
                "primary": string;
                "secondary": string;
                "find": string;
                "learningRadar": string;
                "qbankKeyInfo": string;
                "relevancePrimary": string;
                "relevanceSecondary": string;
                "customBlue": string;
            };
            "contrast": {
                "default": string;
            };
            "transparent": {
                "default": string;
                "selected": string;
                "hover": string;
                "active": string;
                "selectedHover": string;
            };
            "placeholder": {
                "default": string;
                "hover": string;
            };
            "backdrop": {
                "default": string;
            };
        };
        "text": {
            "primary": {
                "default": string;
                "hover": string;
            };
            "secondary": {
                "default": string;
                "hover": string;
            };
            "tertiary": {
                "default": string;
                "disabled": string;
                "hover": string;
            };
            "quaternary": {
                "default": string;
            };
            "accent": {
                "default": string;
                "hover": string;
            };
            "onAccent": {
                "default": string;
                "disabled": string;
            };
            "onAccentSubtle": {
                "default": string;
            };
            "info": {
                "default": string;
            };
            "error": {
                "default": string;
                "disabled": string;
            };
            "warning": {
                "default": string;
            };
            "success": {
                "default": string;
            };
            "underline": {
                "default": string;
                "hover": string;
            };
            "dottedUnderline": {
                "default": string;
                "hover": string;
            };
        };
        "icon": {
            "primary": {
                "default": string;
                "hover": string;
            };
            "secondary": {
                "default": string;
                "hover": string;
            };
            "tertiary": {
                "default": string;
                "hover": string;
            };
            "quaternary": {
                "default": string;
                "hover": string;
            };
            "accent": {
                "default": string;
                "hover": string;
            };
            "onAccent": {
                "default": string;
                "hover": string;
            };
            "onAccentSubtle": {
                "default": string;
                "hover": string;
            };
            "info": {
                "default": string;
                "hover": string;
            };
            "error": {
                "default": string;
                "hover": string;
            };
            "warning": {
                "default": string;
                "hover": string;
            };
            "success": {
                "default": string;
                "hover": string;
            };
            "brand": {
                "default": string;
                "hover": string;
            };
        };
        "border": {
            "primary": {
                "default": string;
                "hover": string;
                "active": string;
                "disabled": string;
            };
            "secondary": {
                "default": string;
                "active": string;
            };
            "accent": {
                "default": string;
            };
            "onAccent": {
                "default": string;
            };
            "accentSubtle": {
                "default": string;
            };
            "error": {
                "default": string;
            };
            "success": {
                "default": string;
            };
            "successSubtle": {
                "default": string;
            };
            "errorSubtle": {
                "default": string;
            };
        };
        "divider": {
            "primary": string;
            "secondary": string;
            "secondarySolid": string;
        };
    };
    "elevation": {
        "1": string;
        "2": string;
        "3": string;
        "4": string;
    };
    "subThemes": {
        "dimmed": {
            "color": {
                "background": {
                    "primary": {
                        "default": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                        "active": string;
                        "disabled": string;
                    };
                    "transparent": {
                        "hover": string;
                        "active": string;
                    };
                    "backdrop": {
                        "default": string;
                    };
                };
                "text": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                    };
                    "error": {
                        "default": string;
                    };
                    "underline": {
                        "default": string;
                        "hover": string;
                    };
                    "dottedUnderline": {
                        "default": string;
                        "hover": string;
                    };
                };
                "icon": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                        "hover": string;
                    };
                    "error": {
                        "default": string;
                        "hover": string;
                    };
                };
                "border": {
                    "primary": {
                        "default": string;
                        "hover": string;
                        "active": string;
                    };
                    "accent": {
                        "default": string;
                    };
                };
                "divider": {
                    "primary": string;
                };
            };
        };
        "error": {
            "color": {
                "background": {
                    "primary": {
                        "default": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                        "active": string;
                        "disabled": string;
                    };
                    "transparent": {
                        "hover": string;
                        "active": string;
                    };
                    "backdrop": {
                        "default": string;
                    };
                };
                "text": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                    };
                    "error": {
                        "default": string;
                    };
                    "underline": {
                        "default": string;
                        "hover": string;
                    };
                    "dottedUnderline": {
                        "default": string;
                        "hover": string;
                    };
                };
                "icon": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                        "hover": string;
                    };
                    "error": {
                        "default": string;
                        "hover": string;
                    };
                };
                "border": {
                    "primary": {
                        "default": string;
                        "hover": string;
                        "active": string;
                    };
                    "accent": {
                        "default": string;
                    };
                };
                "divider": {
                    "primary": string;
                };
            };
        };
        "info": {
            "color": {
                "background": {
                    "primary": {
                        "default": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                        "active": string;
                        "disabled": string;
                    };
                    "transparent": {
                        "hover": string;
                        "active": string;
                    };
                    "backdrop": {
                        "default": string;
                    };
                };
                "text": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                    };
                    "error": {
                        "default": string;
                    };
                    "info": {
                        "default": string;
                    };
                    "underline": {
                        "default": string;
                        "hover": string;
                    };
                    "dottedUnderline": {
                        "default": string;
                        "hover": string;
                    };
                };
                "icon": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                        "hover": string;
                    };
                    "error": {
                        "default": string;
                        "hover": string;
                    };
                    "info": {
                        "default": string;
                        "hover": string;
                    };
                };
                "border": {
                    "primary": {
                        "default": string;
                        "hover": string;
                        "active": string;
                    };
                    "accent": {
                        "default": string;
                    };
                };
                "divider": {
                    "primary": string;
                };
            };
        };
        "inverted": {
            "color": {
                "background": {
                    "primary": {
                        "default": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                        "active": string;
                        "disabled": string;
                    };
                    "transparent": {
                        "hover": string;
                        "active": string;
                    };
                    "backdrop": {
                        "default": string;
                    };
                };
                "text": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                    };
                    "error": {
                        "default": string;
                    };
                    "info": {
                        "default": string;
                    };
                    "underline": {
                        "default": string;
                        "hover": string;
                    };
                    "dottedUnderline": {
                        "default": string;
                        "hover": string;
                    };
                };
                "icon": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                        "hover": string;
                    };
                    "info": {
                        "default": string;
                        "hover": string;
                    };
                    "error": {
                        "default": string;
                        "hover": string;
                    };
                };
                "border": {
                    "primary": {
                        "default": string;
                        "hover": string;
                        "active": string;
                    };
                    "accent": {
                        "default": string;
                    };
                };
                "divider": {
                    "primary": string;
                };
            };
        };
        "success": {
            "color": {
                "background": {
                    "primary": {
                        "default": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                        "active": string;
                        "disabled": string;
                    };
                    "transparent": {
                        "hover": string;
                        "active": string;
                    };
                };
                "text": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                    };
                    "error": {
                        "default": string;
                    };
                    "underline": {
                        "default": string;
                        "hover": string;
                    };
                    "dottedUnderline": {
                        "default": string;
                        "hover": string;
                    };
                };
                "icon": {
                    "primary": {
                        "default": string;
                        "hover": string;
                    };
                    "secondary": {
                        "default": string;
                        "hover": string;
                    };
                    "tertiary": {
                        "default": string;
                        "hover": string;
                    };
                    "accent": {
                        "default": string;
                        "hover": string;
                    };
                    "onAccent": {
                        "default": string;
                        "hover": string;
                    };
                    "error": {
                        "default": string;
                        "hover": string;
                    };
                };
                "border": {
                    "primary": {
                        "default": string;
                        "hover": string;
                        "active": string;
                    };
                    "accent": {
                        "default": string;
                    };
                };
                "divider": {
                    "primary": string;
                };
                "backdrop": {
                    "default": string;
                };
            };
        };
    };
};
type AmbossThemeName = "dark" | "light";
export type VisualConfig = {
    name: AmbossThemeName;
    variables: Variables;
    values: AmbossTheme;
};
export declare const ambossVisualConfiguration: Record<string, VisualConfig>;
export {};
